<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <!--廚房單-->

    <!-- 頭單-->
    <TextView
        android:id="@+id/tv_kitchen_print_first_order"
        style="@style/Print_kitchen_table_number_text_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        tools:text="頭單" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">
        <!--   台號-->
        <TextView
            android:id="@+id/tv_kitchen_print_table_number"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/sp_42"
            android:textStyle="bold"
            tools:text="外賣19" />

        <View
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1" />
        <!--預留-->
        <TextView
            android:id="@+id/tv_order_reserved"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textStyle="bold"
            android:visibility="visible"
            tools:text="預存" />
    </LinearLayout>

    <!--單號-->
    <LinearLayout
        android:id="@+id/ll_order"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_order_num_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="單號：" />

        <TextView
            android:id="@+id/tv_order_num"
            style="@style/Print_forty_two_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textStyle="bold"
            tools:text="AE86" />
    </LinearLayout>

    <TextView
        android:id="@+id/tv_food_time"
        style="@style/Print_dot_matrix_normal"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="visible"
        tools:text="盡快送達" />

    <!--落單時間-->
    <LinearLayout
        android:id="@+id/ll_order_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_order_time_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="落單：" />

        <TextView
            android:id="@+id/tv_order_time"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="01-04 19:32" />
    </LinearLayout>

    <!--開台時間-->
    <LinearLayout
        android:id="@+id/ll_opening_table_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_opening_time_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="開檯：" />

        <TextView
            android:id="@+id/tv_opening_time"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="01-20 12:00" />
    </LinearLayout>

    <!--人數，廚房-->
    <LinearLayout
        android:id="@+id/ll_people_and_kitchen"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_people_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="人數："
            android:visibility="visible" />

        <TextView
            android:id="@+id/tv_people"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/dp_20"
            android:visibility="visible"
            tools:text="0" />

        <TextView
            android:id="@+id/tv_kitchen_location_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="廚房："
            android:visibility="visible" />

        <TextView
            android:id="@+id/tv_kitchen_location"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="visible"
            tools:text="K1" />
    </LinearLayout>


    <!--自取取餐碼-->
    <LinearLayout
        android:id="@+id/ll_take_code"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_take_code_text"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="取餐碼："
            android:textSize="@dimen/sp_18"
            android:visibility="gone" />

        <TextView
            android:id="@+id/tv_take_code"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/sp_18"
            android:visibility="gone" />
    </LinearLayout>

    <!--服務員-->
    <LinearLayout
        android:id="@+id/ll_waiter"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_waiter_text"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="服務員：" />

        <TextView
            android:id="@+id/tv_waiter"
            style="@style/Print_dot_matrix_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="GSPOS" />
    </LinearLayout>

    <TextView
        android:id="@+id/line_kitchen_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:maxLines="1"
        android:text="————————————————————————————————————————————"
        android:textSize="@dimen/sp_18" />

    <!--    <androidx.recyclerview.widget.RecyclerView-->
    <!--        android:id="@+id/rv_kitchen_food"-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:visibility="visible"-->
    <!--        app:layout_constraintStart_toStartOf="parent"-->
    <!--        app:layout_constraintTop_toBottomOf="@+id/line_kitchen_info"/>-->

    <LinearLayout
        android:id="@+id/ll_kitchen_food"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/line_kitchen_info" />

    <TextView
        android:id="@+id/tv_kitchen_food_end_line"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:maxLines="1"
        android:text="————————————————————————————————————————————"
        android:textSize="@dimen/sp_18"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_kitchen_food" />

    <!--    <TextView-->
    <!--        android:id="@+id/tv_kitchen_print_table_number2"-->
    <!--        style="@style/Print_kitchen_table_number_text_style"-->
    <!--        android:layout_width="wrap_content"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:layout_gravity="center_horizontal"-->
    <!--        android:text="19"-->
    <!--        android:textSize="@dimen/dp_48"-->
    <!--        android:textStyle="bold" />-->

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_prj_page_index"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:textSize="@dimen/sp_28"
            tools:text="1/2" />

        <TextView
            android:id="@+id/tv_kitchen_print_table_number_bottom"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:textSize="@dimen/sp_42"
            android:textStyle="bold"
            tools:text="外賣19" />

        <TextView
            android:id="@+id/tv_kitchen_print_quantity"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:textSize="@dimen/sp_28"
            tools:text="統計數量" />
    </LinearLayout>


    <!--    <LinearLayout-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:orientation="vertical"-->
    <!--        android:paddingBottom="@dimen/dp_10"-->
    <!--        android:visibility="gone"-->
    <!--        app:layout_constraintTop_toBottomOf="@+id/tv_kitchen_print_table_number">-->

    <!--        <LinearLayout-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:orientation="horizontal">-->

    <!--            <LinearLayout-->
    <!--                android:id="@+id/ll_left_layout"-->
    <!--                android:layout_width="0dp"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:layout_weight="1"-->
    <!--                android:orientation="horizontal">-->

    <!--                <TextView-->
    <!--                    android:id="@+id/tv_order_time_text"-->
    <!--                    style="@style/Print_text_style"-->
    <!--                    android:layout_width="wrap_content"-->
    <!--                    android:layout_height="wrap_content"-->
    <!--                    android:text="落單時間："-->
    <!--                    android:textColor="@color/black"-->
    <!--                    android:textSize="@dimen/sp_18" />-->

    <!--                <TextView-->
    <!--                    android:id="@+id/tv_order_time"-->
    <!--                    style="@style/Print_text_style"-->
    <!--                    android:layout_width="wrap_content"-->
    <!--                    android:layout_height="wrap_content"-->
    <!--                    android:text="01-04 19:32"-->
    <!--                    android:textColor="@color/black"-->
    <!--                    android:textSize="@dimen/sp_18"  />-->
    <!--            </LinearLayout>-->

    <!--        <LinearLayout-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:orientation="horizontal">-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_order_num_text"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:text="單號："-->
    <!--                android:textColor="@color/black"-->
    <!--                android:textSize="@dimen/sp_18" />-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_order_num"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:text="AE86"-->
    <!--                android:textSize="@dimen/dp_40" />-->
    <!--        </LinearLayout>-->

    <!--        <LinearLayout-->
    <!--            android:id="@+id/layout_take_code"-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:orientation="horizontal">-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_take_code_text"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:text="取餐碼："-->
    <!--                android:textSize="@dimen/dp_20"-->
    <!--                android:visibility="gone" />-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_take_code"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:textSize="@dimen/dp_20"-->
    <!--                android:visibility="gone" />-->
    <!--        </LinearLayout>-->

    <!--        <LinearLayout-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:orientation="horizontal">-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_order_time_text"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:text="落單時間："-->
    <!--                android:textColor="@color/black"-->
    <!--                android:textSize="@dimen/sp_18" />-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_order_time"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:text="01-04 19:32"-->
    <!--                android:textSize="@dimen/dp_28" />-->
    <!--        </LinearLayout>-->

    <!--        <TextView-->
    <!--            android:id="@+id/tv_food_time"-->
    <!--            style="@style/Print_text_style"-->
    <!--            android:layout_width="wrap_content"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:textSize="@dimen/dp_28"-->
    <!--            android:visibility="gone"-->
    <!--            tools:text="盡快送達" />-->

    <!--        <LinearLayout-->
    <!--            android:id="@+id/layout_opening_table_time"-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:orientation="horizontal">-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_opening_time_text"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:text="開檯時間："-->
    <!--                android:textColor="@color/black"-->
    <!--                android:textSize="@dimen/sp_18" />-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_opening_time"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:text="01-20 12:00"-->
    <!--                android:textColor="@color/black"-->
    <!--                android:textSize="@dimen/sp_18" />-->
    <!--        </LinearLayout>-->

    <!--        <LinearLayout-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:gravity="center_vertical"-->
    <!--            android:orientation="horizontal">-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_kitchen_location"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:layout_marginRight="@dimen/dp_20"-->
    <!--                android:text="K1 廚房" />-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_operator"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:text="gsadmin" />-->
    <!--        </LinearLayout>-->

    <!--        <LinearLayout-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:orientation="horizontal">-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_people_text"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:text="人數："-->
    <!--                android:textColor="@color/black"-->
    <!--                android:textSize="@dimen/sp_18"-->
    <!--                android:visibility="visible" />-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_people"-->
    <!--                style="@style/Print_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:text="1000"-->
    <!--                android:textColor="@color/black"-->
    <!--                android:textSize="@dimen/sp_18"-->
    <!--                android:visibility="visible" />-->
    <!--        </LinearLayout>-->

    <!--        <TextView-->
    <!--            android:id="@+id/line_kitchen_info"-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:maxLines="1"-->
    <!--            android:text="——————————————————————————————————————————————————"-->
    <!--            app:layout_constraintTop_toBottomOf="@id/tv_operator" />-->

    <!--        <androidx.recyclerview.widget.RecyclerView-->
    <!--            android:id="@+id/rv_kitchen_food"-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:layout_marginTop="@dimen/dp_10"-->
    <!--            android:visibility="visible" />-->

    <!--        <LinearLayout-->
    <!--            android:id="@+id/layout_kitchen_food"-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:layout_marginTop="@dimen/dp_10"-->
    <!--            android:orientation="vertical" />-->

    <!--        <TextView-->
    <!--            android:id="@+id/tv_kitchen_print_table_number2"-->
    <!--            style="@style/Print_kitchen_table_number_text_style"-->
    <!--            android:layout_width="wrap_content"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:layout_gravity="center_horizontal"-->
    <!--            android:text="19"-->
    <!--            android:textSize="@dimen/dp_48"-->
    <!--            android:textStyle="bold" />-->

    <!--        <RelativeLayout-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:layout_marginTop="@dimen/dp_20"-->
    <!--            android:orientation="horizontal">-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_prj_page_index"-->
    <!--                style="@style/Print_kitchen_table_number_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:layout_centerInParent="true"-->
    <!--                android:layout_gravity="center_horizontal"-->
    <!--                android:textSize="@dimen/dp_28"-->
    <!--                tools:text="1/2" />-->

    <!--            <TextView-->
    <!--                android:id="@+id/tv_kitchen_print_quantity"-->
    <!--                style="@style/Print_kitchen_table_number_text_style"-->
    <!--                android:layout_width="wrap_content"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:layout_alignParentRight="true"-->
    <!--                android:textSize="@dimen/dp_30"-->
    <!--                tools:text="統計數量" />-->
    <!--        </RelativeLayout>-->
    <!--    </LinearLayout>-->
</LinearLayout>